# Copyright (c) 2022, JINGROW
# For license information, please see license.txt

import jingrow
from jingrow.model.page import Page

EXPIRES_IN_HOURS = 6


class SaasRemoteLogin(Page):
	def before_insert(self):
		self.expires_on = jingrow.utils.add_to_date(None, hours=EXPIRES_IN_HOURS)
